| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Horizon3DTesselator Class Reference
Geometry

`#include <horizon3dtesselator.h>`

Inheritance diagram for Horizon3DTesselator:
[legend]

## Public Member Functions
| Horizon3DTesselator (const Coord3List *, int nrcoordcol, unsigned char spacing, int nrrow, int nrcol, TypeSet< int > *pointci, TypeSet< int > *lineci, TypeSet< int > *stripci, TypeSet< int > *pointni, TypeSet< int > *lineni, TypeSet< int > *stripni, Coord3List *normals, int nrnormalcols_, int normstartidx)
| ~Horizon3DTesselator ()
int | nextStep () override
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
virtual int | doStep ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
virtual od_int64 | nrDone () const
Task & | operator= (const Task &)=delete
virtual od_int64 | totalNr () const
virtual uiString | uiMessage () const
virtual uiString | uiNrDoneText () const
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Member Functions
void | computeNormal (int ni, int row, int col)
int | getNormalIdx (int crdidx)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
const Coord3List * | coords_
const double | cosanglexinl_
TypeSet< int > * | lineci_
TypeSet< int > * | lineni_
Coord3List * | normals_
int | normalstart_
int | nrcols_
int | nrcoordcols_
int | nrnormalcols_
int | nrrows_
TypeSet< int > * | pointci_
TypeSet< int > * | pointni_
const double | sinanglexinl_
unsigned char | spacing_
TypeSet< int > * | stripci_
TypeSet< int > * | stripni_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ Horizon3DTesselator()

Horizon3DTesselator::Horizon3DTesselator | ( | const Coord3List * | ,
|  | int | nrcoordcol,
|  | unsigned char | spacing,
|  | int | nrrow,
|  | int | nrcol,
|  | TypeSet< int > * | pointci,
|  | TypeSet< int > * | lineci,
|  | TypeSet< int > * | stripci,
|  | TypeSet< int > * | pointni,
|  | TypeSet< int > * | lineni,
|  | TypeSet< int > * | stripni,
|  | Coord3List * | normals,
|  | int | nrnormalcols_,
|  | int | normstartidx )

## ◆ ~Horizon3DTesselator()

Horizon3DTesselator::~Horizon3DTesselator | ( |  | ) |

## Member Function Documentation

## ◆ computeNormal()

void Horizon3DTesselator::computeNormal | ( | int | ni,
|  | int | row,
|  | int | col )
| protected

## ◆ getNormalIdx()

int Horizon3DTesselator::getNormalIdx | ( | int | crdidx | ) |
| protected

## ◆ nextStep()

int Horizon3DTesselator::nextStep | ( |  | ) |
| override virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## Member Data Documentation

## ◆ coords_

const Coord3List* Horizon3DTesselator::coords_
| protected

## ◆ cosanglexinl_

const double Horizon3DTesselator::cosanglexinl_
| protected

## ◆ lineci_

TypeSet<int>* Horizon3DTesselator::lineci_
| protected

## ◆ lineni_

TypeSet<int>* Horizon3DTesselator::lineni_
| protected

## ◆ normals_

Coord3List* Horizon3DTesselator::normals_
| protected

## ◆ normalstart_

int Horizon3DTesselator::normalstart_
| protected

## ◆ nrcols_

int Horizon3DTesselator::nrcols_
| protected

## ◆ nrcoordcols_

int Horizon3DTesselator::nrcoordcols_
| protected

## ◆ nrnormalcols_

int Horizon3DTesselator::nrnormalcols_
| protected

## ◆ nrrows_

int Horizon3DTesselator::nrrows_
| protected

## ◆ pointci_

TypeSet<int>* Horizon3DTesselator::pointci_
| protected

## ◆ pointni_

TypeSet<int>* Horizon3DTesselator::pointni_
| protected

## ◆ sinanglexinl_

const double Horizon3DTesselator::sinanglexinl_
| protected

## ◆ spacing_

unsigned char Horizon3DTesselator::spacing_
| protected

## ◆ stripci_

TypeSet<int>* Horizon3DTesselator::stripci_
| protected

## ◆ stripni_

TypeSet<int>* Horizon3DTesselator::stripni_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025